Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.utils
Class ProponoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.syndication.propono.utils.ProponoException

All Implemented Interfaces:
  Serializable

    public class ProponoException

extends Exception

Base Propono exception class.

See Also:
  Serialized Form

Constructor Summary
`ProponoException()` Construct emtpy exception object.
`ProponoException(String s)` Construct ProponoException with message string.
`ProponoException(String s, String longMessage)` Construct ProponoException with message string.
`ProponoException(String s, String longMessge, Throwable t)` Construct ProponoException, wrapping existing throwable.
`ProponoException(String s, Throwable t)` Construct ProponoException, wrapping existing throwable.
`ProponoException(Throwable t)` Construct ProponoException, wrapping existing throwable.

Method Summary
`Throwable` | `getRootCause()` Get root cause object, or null if none.
`String` | `getRootCauseMessage()` Get root cause message.
`void` | `printStackTrace()` Print stack trace for exception and for root cause exception if htere is one.
`void` | `printStackTrace(PrintStream s)` Print stack trace for exception and for root cause exception if htere is one.
`void` | `printStackTrace(PrintWriter s)` Print stack trace for exception and for root cause exception if htere is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProponoException

    public ProponoException()

  Construct emtpy exception object.

### ProponoException

    public ProponoException(String s)

  Construct ProponoException with message string.

  Parameters:
    `s` - Error message string.

### ProponoException

    public ProponoException(String s,
                            String longMessage)

  Construct ProponoException with message string.

  Parameters:
    `s` - Error message string.

### ProponoException

    public ProponoException(String s,
                            Throwable t)

  Construct ProponoException, wrapping existing throwable.

  Parameters:
    `s` - Error message
    `t` - Existing connection to wrap.

### ProponoException

    public ProponoException(String s,
                            String longMessge,
                            Throwable t)

  Construct ProponoException, wrapping existing throwable.

  Parameters:
    `s` - Error message
    `t` - Existing connection to wrap.

### ProponoException

    public ProponoException(Throwable t)

  Construct ProponoException, wrapping existing throwable.

  Parameters:
    `t` - Existing exception to be wrapped.

Method Detail

### getRootCause

    public Throwable getRootCause()

  Get root cause object, or null if none.

  Returns:
    Root cause or null if none.

### getRootCauseMessage

    public String getRootCauseMessage()

  Get root cause message.

  Returns:
    Root cause message.

### printStackTrace

    public void printStackTrace()

  Print stack trace for exception and for root cause exception if htere is one.

  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `Throwable.printStackTrace()`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Print stack trace for exception and for root cause exception if htere is one.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - Stream to print to.

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Print stack trace for exception and for root cause exception if htere is one.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - Writer to write to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD